HomeGuidesAPI Reference
API Reference

Create a new overlay configuration

Creates a new overlay configuration on the Orchestrator. The overlay is automatically assigned an ID and priority. Regional configurations are created for all existing regions. If mesh topology is requested but not licensed, it falls back to Hub and Spoke.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Overlay configuration object without an ID. The system assigns the ID automatically.

number

The number of the bonding policy for the overlay. 1 - high availability, 2 - high quality, 3 - high throughput, 4 - high efficiency, 5 - custom bonding policy

boolean

Whether or not to Wan Optimization (i.e. boost) the traffic for this overlay.

brownoutThresholds
object

Brownout thresholds configuration

number
enum

Disqualify Behavior

Allowed:
number

FEC wait time in millisecond

hubInternetPolicies
object

Map of appliance id to internet policy for a hub in an overlay

internetPolicy
object

Describes what to do with internet traffic if it matches the overlay

string

The LAN QoS to use in the QoS policy created for this Overlay. See the QoS policy page for valid values

number
enum

Link Reorder Frequency

Allowed:
match
object

Match configuration

number

Maximum FEC radio in percentage

number

Maximum packet reorder wait time in millisecond

number

Minimum FEC radio in percentage

number

Minimum packet reorder wait time in millisecond

string

The name of the overlay.

string

The fallback option of the overlay.

number

The number of the path loading policy for the overlay. 1 - balance by link capacity (Local), 2 - balance by link utilization (Local), 3 - waterfall by quality, 4 - waterfall by latency, 5 - waterfall by loss, 6 - waterfall by jitter, 7 - waterfall by cost, 8 - waterfall by link order, 9 - balanced by link utilization(Local & Remote)

topology
object

Topology configuration for this overlay

string

The shaper traffic class ID to use in the overlay. (These are the keys in the traffic class, see the shaper api for more information).

boolean

Use the backup WAN ports when the primary and secondary WAN ports meet the brownout conditions.

boolean

Use the secondary WAN ports when the primary WAN ports meet the brownout conditions.

string

The WAN QoS to use in the QoS policy created for this Overlay. See the QoS policy page for valid values

wanPorts
object

Wan port configuration

Responses

401

Unauthorized - User lacks READ_WRITE permission.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json